Back to Multiple platform build/check report for BioC 3.19:   simplified   long
ABCDEFGH[I]JKLMNOPQRSTUVWXYZ

This page was generated on 2024-03-04 11:39:23 -0500 (Mon, 04 Mar 2024).

HostnameOSArch (*)R versionInstalled pkgs
nebbiolo1Linux (Ubuntu 22.04.3 LTS)x86_64R Under development (unstable) (2024-01-16 r85808) -- "Unsuffered Consequences" 4676
palomino3Windows Server 2022 Datacenterx64R Under development (unstable) (2024-01-14 r85805 ucrt) -- "Unsuffered Consequences" 4414
merida1macOS 12.7.1 Montereyx86_64R Under development (unstable) (2024-01-16 r85808) -- "Unsuffered Consequences" 4441
kunpeng2Linux (openEuler 22.03 LTS-SP1)aarch64R Under development (unstable) (2024-01-16 r85812) -- "Unsuffered Consequences" 4417
Click on any hostname to see more info about the system (e.g. compilers)      (*) as reported by 'uname -p', except on Windows and Mac OS X

Package 1030/2251HostnameOS / ArchINSTALLBUILDCHECKBUILD BIN
IntEREst 1.27.0  (landing page)
Ali Oghabian , Mikko Frilander
Snapshot Date: 2024-03-01 14:00:22 -0500 (Fri, 01 Mar 2024)
git_url: https://git.bioconductor.org/packages/IntEREst
git_branch: devel
git_last_commit: a73ec97
git_last_commit_date: 2023-10-24 10:55:57 -0500 (Tue, 24 Oct 2023)
nebbiolo1Linux (Ubuntu 22.04.3 LTS) / x86_64  OK    OK    OK  UNNEEDED, same version is already published
palomino3Windows Server 2022 Datacenter / x64  OK    OK    OK    OK  UNNEEDED, same version is already published
merida1macOS 12.7.1 Monterey / x86_64  ERROR    ERROR  skippedskipped
kunpeng2Linux (openEuler 22.03 LTS-SP1) / aarch64  OK    OK    OK  

BUILD results for IntEREst on merida1


To the developers/maintainers of the IntEREst package:
- Allow up to 24 hours (and sometimes 48 hours) for your latest push to git@git.bioconductor.org:packages/IntEREst.git to reflect on this report. See Troubleshooting Build Report for more information.
- Use the following Renviron settings to reproduce errors and warnings.
- If 'R CMD check' started to fail recently on the Linux builder(s) over a missing dependency, add the missing dependency to 'Suggests:' in your DESCRIPTION file. See Renviron.bioc for more information.

raw results


Summary

Package: IntEREst
Version: 1.27.0
Command: /Library/Frameworks/R.framework/Resources/bin/R CMD build --keep-empty-dirs --no-resave-data IntEREst
StartedAt: 2024-03-01 19:56:29 -0500 (Fri, 01 Mar 2024)
EndedAt: 2024-03-01 19:57:03 -0500 (Fri, 01 Mar 2024)
EllapsedTime: 33.6 seconds
RetCode: 1
Status:   ERROR  
PackageFile: None
PackageFileSize: NA

Command output

##############################################################################
##############################################################################
###
### Running command:
###
###   /Library/Frameworks/R.framework/Resources/bin/R CMD build --keep-empty-dirs --no-resave-data IntEREst
###
##############################################################################
##############################################################################


* checking for file ‘IntEREst/DESCRIPTION’ ... OK
* preparing ‘IntEREst’:
* checking DESCRIPTION meta-information ... OK
* installing the package to build vignettes
      -----------------------------------
* installing *source* package ‘IntEREst’ ...
** using staged installation
** R
** data
*** moving datasets to lazyload DB
** inst
** byte-compile and prepare package for lazy loading
Error in dyn.load(file, DLLpath = DLLpath, ...) : 
  unable to load shared object '/Library/Frameworks/R.framework/Versions/4.4-x86_64/Resources/library/RMySQL/libs/RMySQL.so':
  dlopen(/Library/Frameworks/R.framework/Versions/4.4-x86_64/Resources/library/RMySQL/libs/RMySQL.so, 0x0006): Library not loaded: '@loader_path/../../../../opt/openssl@3/lib/libssl.3.dylib'
  Referenced from: '/usr/local/Cellar/mysql/8.1.0/lib/libmysqlclient.22.dylib'
  Reason: tried: '/usr/local/Cellar/mysql/8.1.0/lib/../../../../opt/openssl@3/lib/libssl.3.dylib' (no such file), '/Library/Frameworks/R.framework/Resources/lib/libssl.3.dylib' (no such file), '/usr/local/jdk-21.jdk/Contents/Home/lib/server/libssl.3.dylib' (no such file)
Calls: <Anonymous> ... asNamespace -> loadNamespace -> library.dynam -> dyn.load
Execution halted
ERROR: lazy loading failed for package ‘IntEREst’
* removing ‘/private/tmp/RtmprO7b61/Rinstc7a06dedf02b/IntEREst’
      -----------------------------------
ERROR: package installation failed